SU(1)

NOM
su - change d'identifiant d'utilisateur ou devient superutilisateur

SYNOPSIS
su [OPTS] [-] [nom_utilisateur [ARGS]]

DESCRIPTION
Su permet de devenir un autre utilisateur pendant une session. Invoqué sans nom d'utilisateur, le comportement par défaut est de devenir superutilisateur. L'argument optionnel - permet d'obtenir un environnement similaire à celui obtenu par l'utilisateur après une connexion.

Un mot de passe sera demandé à l'utilisateur, si nécessaire. Les mots de passe incorrects produisent un message d'erreur. Toutes les tentatives, réussies ou non, sont enregistrées afin de détecter tout abus du système.

Une commande optionnelle peut être exécutée. La commande sera exécutée par l'interpréteur de commandes de l'utilisateur spécifié dans /etc/passwd, à moins que l'option -s ou -m ne soit utilisée. Tous les arguments suivant le nom d'utilisateur seront passés à cet interpréteur de commandes (celui-ci doit supporter l'option -c pour que la commande puisse lui être passée).

Sauf si l'option -m ou -p est utilisée, l'environnement actuel est fourni à l'interpréteur de commandes avec quelques changements. La valeur de $PATH est remise à /bin:/usr/bin pour les utilisateurs normaux, ou à /sbin:/bin:/usr/sbin:/usr/bin pour le superutilisateur. Ce comportement peut être modifié avec les paramètres ENV_PATH et ENV_SUPATH de /etc/login.defs. $IFS, s'il est défini, est modifié pour ne contenir que espace, tabulation et nouvelle ligne. Le nom de l'utilisateur cible est affecté à $USER, son répertoire personnel à $HOME, et son interpréteur de commandes initial à $SHELL. Avec les options -m ou -p, l'environnement de l'utilisateur n'est pas modifié.

Une connexion à un sous-système est indiquée par la présence d'un « * » comme premier caractère de l'interpréteur de commandes initial. Le répertoire personnel sera utilisé comme racine d'un nouveau système de fichier dans lequel l'utilisateur sera connecté.

OPTIONS

-   utilise un interpréteur de commandes initial « login shell »

-c, --commmand=<commande>
    passe commande à l'interpréteur de commandes invoqué en utilisant l'option -c

-m, -p, --preserve-environment
    ne remet pas les variables d'environnement à zero, et conserve le même interpréteur de commandes « shell »

-s, --shell=<interpréteur>
    utilise interpréteur plutôt que l'interpréteur de commandes par défaut défini dans /etc/passwd

NOTES
Les options -m, -p et -s sont restreintes aux interpréteurs de commandes listés dans /etc/shells. S'il n'est pas listé, le compte est considéré comme restreint, un « su » normal est exécuté, et ces options sont ignorées.

Une connexion à un sous-système est indiquée par la présence d'un « * » comme premier caractère de l'interpréteur de commandes initial. Le répertoire personnel sera utilisé comme racine d'un nouveau système de fichier dans lequel l'utilisateur sera connecté.

Le comportement de cette commande peut être modifié par sa configuration pam. Veuillez consulter pam(7).

AVERTISSEMENTS

Cette version de su a de nombreuses options de compilation. Seules certaines d'entre elles sont peut-être activées sur votre site.

FICHIERS
/etc/passwd - informations sur les comptes des utilisateurs
/etc/shadow - mots de passe cachés des utilisateurs
/etc/shells - liste des interpréteurs de commandes initiaux valables
$HOME/.profile - script d'initialisation pour l'interpréteur de commandes (« shell ») par défaut

VOIR AUSSI
login(1), sh(1), login.defs(5), shells(5), pam(7)

AUTEUR
Julianne Frances Haugh <jfh@austin.ibm.com>

TRADUCTION
Nicolas FRANÇOIS, 2004. Veuillez signaler toute erreur à <debian-l10-french@lists.debian.org>.